Subject: RE: [Mip4] Detecting presence of a Foreign Agent

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Fri, 17 Jun 2005 04:04:59 -0700

Hi Darshan.

You've encountered the issue of identifying the FA when NAT happens.
This is suppose to be addressed in 3519bis, as Sri said.

Kent 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Darshan Purohit
> Sent: Thursday, June 16, 2005 3:50 PM
> To: [email-masked]
> Subject: [Mip4] Detecting presence of a Foreign Agent
> 
> I am a bit unsure about detecting whether a foriegn agent is 
> being used or not.
> and what could be the possible Foreign Agent Address
> 
> The way I thought about it is  ...
> 
> If D bit is not set ,        FADDR = Care-of Address
>                                           (Source address could be NAT
> Translated)
> If D bit is set
>         If no UDP Tunnel Request Extension
>                     FADDR = source address , if source != 
> care-of address
>                      else NO Foreign Agent
>          else
>                     ?????
> 
> Now, in the last else, a UDP Tunnel request extension is present   and
>  MN is using
> a co-located care-of Address.   If there is  an   FA-HA Auth 
> Extension,   how 
> do we look for the Foreign Agent Security Association.    The 
> source address
> could have been NAT Translated and the care-of address 
> belongs to the MN.
> 
> Am I missing something here ?
> 
> Thanks
> Darshan.
> 
> --
> Mip4 mailing list: [email-masked]
>     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
>      Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
> 

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/